Create a new ledger in your Blnk Core instance via the Cloud Proxy.
curl -X POST "https://api.cloud.blnkfinance.com/proxy/ledgers?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "MyApp Integration Ledger",
"meta_data": {
"description": "Ledger for integration test – all test balances live here"
}
}'
{
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"name": "MyApp Integration Ledger",
"created_at": "2024-02-20T05:28:03.558281542Z",
"meta_data": {
"description": "Ledger for integration test – all test balances and transactions live here"
}
}
Create a new ledger to group balances and transactions. Ledgers help organize your financial data.Documentation Index
Fetch the complete documentation index at: https://guide.cloud.blnkfinance.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST "https://api.cloud.blnkfinance.com/proxy/ledgers?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "MyApp Integration Ledger",
"meta_data": {
"description": "Ledger for integration test – all test balances live here"
}
}'
Bearer <access_token>. Your OAuth key must include proxy:write scope (or *).{
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"name": "MyApp Integration Ledger",
"created_at": "2024-02-20T05:28:03.558281542Z",
"meta_data": {
"description": "Ledger for integration test – all test balances and transactions live here"
}
}
curl -X POST "https://api.cloud.blnkfinance.com/proxy/ledgers?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "MyApp Integration Ledger",
"meta_data": {
"description": "Ledger for integration test – all test balances live here"
}
}'
{
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"name": "MyApp Integration Ledger",
"created_at": "2024-02-20T05:28:03.558281542Z",
"meta_data": {
"description": "Ledger for integration test – all test balances and transactions live here"
}
}